Get test results
Returns analytics and statistical significance data for a launched test.
All requests require Authorization: Bearer sl_live_<your_api_key>. Generate a key from the Shoplift admin's API Keys settings page.
OK
Deprecated. Alias for totalVisitors — despite the name, this counts unique visitors, not sessions. Use totalVisitors going forward.
Deprecated. Superseded by lifecycle/lifecycleByGoal, which reflect the current Bayesian Reporting model.
Deprecated. Superseded by lifecycle/lifecycleByGoal, which reflect the current Bayesian Reporting model.
Deprecated. Always false for tests on the current Bayesian model. Reflects a retired sample-size model that's no longer used.
Deprecated. Always 0 for tests on the current Bayesian model. Reflects a retired sample-size model that's no longer used.
Not Found
Too Many Requests
GET /api/public/v1/tests/{id}/results HTTP/1.1
Host: app.shoplift.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "draft",
"totalVisitors": 1,
"controlSplit": 1,
"variantSplit": 1,
"winner": null,
"lift": 1,
"changeRevenue": 1,
"controlProbabilityWin": 1,
"variantProbabilityWin": 1,
"liftByMetric": {
"ANY_ADDITIONAL_PROPERTY": {
"value": 1
}
},
"control": {
"visitors": 1,
"visits": 1,
"clicks": 1,
"carts": 1,
"conversions": 1,
"orders": 1,
"totalOrders": 1,
"totalConversions": 1,
"initialSubscriptionConversions": 1,
"initialSubscriptionOrders": 1,
"initialSubscriptionRevenue": 1,
"cnv": 1,
"cvr": 1,
"aov": 1,
"rpv": 1,
"ctr": 1,
"acr": 1,
"revenue": 1,
"totalRevenue": 1,
"mobile": null,
"desktop": null,
"new": null,
"returning": null
},
"variant": {
"visitors": 1,
"visits": 1,
"clicks": 1,
"carts": 1,
"conversions": 1,
"orders": 1,
"totalOrders": 1,
"totalConversions": 1,
"initialSubscriptionConversions": 1,
"initialSubscriptionOrders": 1,
"initialSubscriptionRevenue": 1,
"cnv": 1,
"cvr": 1,
"aov": 1,
"rpv": 1,
"ctr": 1,
"acr": 1,
"revenue": 1,
"totalRevenue": 1,
"mobile": null,
"desktop": null,
"new": null,
"returning": null
},
"daily": {
"ANY_ADDITIONAL_PROPERTY": {
"performance": {
"control": {
"visitors": 1,
"visits": 1,
"clicks": 1,
"carts": 1,
"conversions": 1,
"orders": 1,
"totalOrders": 1,
"totalConversions": 1,
"initialSubscriptionConversions": 1,
"initialSubscriptionOrders": 1,
"initialSubscriptionRevenue": 1,
"cnv": 1,
"cvr": 1,
"aov": 1,
"rpv": 1,
"ctr": 1,
"acr": 1,
"revenue": 1,
"totalRevenue": 1,
"mobile": null,
"desktop": null,
"new": null,
"returning": null
},
"variant": {
"visitors": 1,
"visits": 1,
"clicks": 1,
"carts": 1,
"conversions": 1,
"orders": 1,
"totalOrders": 1,
"totalConversions": 1,
"initialSubscriptionConversions": 1,
"initialSubscriptionOrders": 1,
"initialSubscriptionRevenue": 1,
"cnv": 1,
"cvr": 1,
"aov": 1,
"rpv": 1,
"ctr": 1,
"acr": 1,
"revenue": 1,
"totalRevenue": 1,
"mobile": null,
"desktop": null,
"new": null,
"returning": null
}
}
}
},
"lifecycle": {
"goal": 1,
"tier": "text",
"tierReachedAt": null,
"leadingVariant": null,
"probabilityToWin": 1,
"notYetStable": true
},
"lifecycleByGoal": {
"ANY_ADDITIONAL_PROPERTY": {
"goal": 1,
"tier": "text",
"tierReachedAt": null,
"leadingVariant": null,
"probabilityToWin": 1,
"notYetStable": true
}
}
}Last updated
Was this helpful?